API Reference / V2 Webhooks Get a webhook endpoint Returns one webhook endpoint of the application. The ETag header holds the endpoint revision. Use this value in the If-Match header when you update, delete, or rotate the secret of the endpoint.
GET /api/v2/developer/apps/{appId}/webhook-endpoints/{endpointId}
Parameters # Property Type Location Description appIdstringRequired path- endpointIdstringRequired path- x-request-idstringheader-
Request # curl --request GET 'https://strave.gg/api/v2/developer/apps/APP_ID/webhook-endpoints/ENDPOINT_ID' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response # 200Response for status 200
application/json 400Response for status 400
application/json 401Response for status 401
application/json 403Response for status 403
application/json 404Response for status 404
application/json 409Response for status 409
application/json 412Response for status 412
application/json 428Response for status 428
application/json 429Response for status 429
application/json 500Response for status 500
application/json 503Response for status 503
application/json Property Type Description dataobjectRequired - └ idstringRequired - └ applicationIdstringRequired - └ namestringRequired - └ descriptionstring | nullRequired - └ urlstringRequired - └ subscribedEventsstring[]Required - └ statusstringRequired - └ revisionintegerRequired - └ createdAtstringRequired - └ updatedAtstringRequired -